Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 370351 - dev-python/python-gudev: fix udev dependencies
Summary: dev-python/python-gudev: fix udev dependencies
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Arun Raghavan (RETIRED)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 348472
  Show dependency tree
 
Reported: 2011-06-06 22:49 UTC by William Hubbs
Modified: 2011-06-08 22:28 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description William Hubbs gentoo-dev 2011-06-06 22:49:29 UTC
Udev 171 splits out the extras use flag into separate use flags.

As a result, the ebuilds for this package need the following changes:

sys-fs/udev[extras]

needs to become:

|| ( >=sys-fs/udev-171[useflag] >= sys-fs/udev145[extras] )

"useflag" in this example should be replaced with whatever the use flag
is for udev-171 that your package needs.
This should not require a revbump since we are just modifying use flags.
Comment 1 Laurento Frittella (mrfree) 2011-06-07 07:42:15 UTC
I think we only need udev's "gudev" useflag, so the following patch should solve the problem

# diff -Naur python-gudev-147.2.ebuild.orig python-gudev-147.2.ebuild

--- python-gudev-147.2.ebuild.orig	2011-06-07 09:38:04.876383638 +0200
+++ python-gudev-147.2.ebuild	2011-06-07 09:38:59.005705377 +0200
@@ -20,7 +20,7 @@
 IUSE=""
 
 DEPEND="dev-python/pygobject
-	>=sys-fs/udev-147[extras]"
+	|| ( >=sys-fs/udev-171[gudev] >=sys-fs/udev-147[extras] )"
 RDEPEND="${DEPEND}"
 
 S="${WORKDIR}"/nzjrs-${PN}-ee8a644
Comment 2 William Hubbs gentoo-dev 2011-06-08 22:28:23 UTC
This has been fixed, thanks to both ford_prefect and Laurento.